Subject: Re: Change in "git checkout" behaviour between 1.6.0.2 and 1.6.0.3

From: Bruce Stephens <[email-masked]>
Date: Wed, 12 Nov 2008 19:44:47 +0000

Junio C Hamano <[email-masked]> writes:

[...]

> Yeah, it was meant to allow:
>
> 	git clone -n $there $here
>         cd $here
>         git checkout
>
> and was not taking care of the case to switch branches when the initial
> checkout is made.

That specific sequence does work.  I guess that's why I hadn't noticed
the issue for so long (I guess git's test suite has some tests using
"clone -n", and perhaps they're of that form).

> Perhaps this would help.

Works for me.

[...]